namespace InABox.Core
{
    public class DigitalFormGroupLookups : EntityLookup<DigitalFormGroup>
    {
        public override Columns<DigitalFormGroup> DefineColumns()
        {
            return base.DefineColumns()
                .Add(x => x.Description);
        }

        public override Filter<DigitalFormGroup>? DefineFilter()
        {
            return null;
        }

        public override SortOrder<DigitalFormGroup> DefineSortOrder()
        {
            return new SortOrder<DigitalFormGroup>(x => x.Description);
        }
    }
}